【活用ガイド】

JVNDB-2016-001806

Android のメディアサーバの libs/gui/IGraphicBufferConsumer.cpp における重要な情報を取得される脆弱性

概要

Android のメディアサーバの libs/gui/IGraphicBufferConsumer.cpp の BnGraphicBufferProducer::onTransact 関数は、特定の出力データの構造を初期化しないため、重要な情報を取得され、その結果、不特定の保護メカニズムを回避される脆弱性が存在します。

ベンダは、本脆弱性を Bug 26338109 として公開しています。

補足情報 : CWE による脆弱性タイプは、CWE-254: Security Features (セキュリティ機能) と識別されています。
http://cwe.mitre.org/data/definitions/254.html
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし

影響を受けるシステム


Google
  • Android 4.4.4 未満の 4.x
  • Android 5.1.1 LMY49H 未満の 5.x
  • Android 2016-03-01 より前の 6.x

想定される影響

攻撃者により、QUEUE_BUFFER アクションを誘発されることで、重要な情報を取得され、その結果、不特定の保護メカニズムを回避される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Google
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 情報漏えい(CWE-200) [NVD評価]
  2. その他(CWE-Other) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-0829
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-0829
更新履歴

[2016年03月22日]
  掲載